Bug 203638 - lsusb not included by default
lsusb not included by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-22 15:53 EDT by Suzanne Hillman
Modified: 2013-01-09 20:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 12:59:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-08-22 15:53:47 EDT
Description of problem:
lsusb not included by default in installs. Considering the amount of USB in
modern machines, this seems a major oversight, and like something which ought to
be reconsidered to put in the core install.

Version-Release number of selected component (if applicable):
usbutils-0.71-2.1 (FC6 Test2)

How reproducible:
Always

Steps to Reproduce:
1. Install a machine with FC6 Test2
  
Actual results:
No lsusb

Expected results:
lsusb should be available

Additional info:
Comment 1 Bill Nottingham 2006-08-23 09:15:15 EDT
What's the usage case for this, as it's merely an informational tool?
Comment 2 Suzanne Hillman 2006-08-23 10:09:12 EDT
Similar to the usage of lspci, I would think. Largely to determine what one's
system currently supports for USB (since, for example, many internal card
readers are USB-based), as well as being helpful to give additional information
for USB which is not yet supported.

I'll ask for more information from the person who originally noted that it was
missing.
Comment 3 John W. Lockhart 2006-08-23 13:21:54 EDT
(And that would be me ;)

There are a wide variety of USB devices that one could plug in,
and when they don't work, lsusb is one of the first steps to
find out why.  (One can generally google the ID info and find
more compatibility info/status...)

Also, if you want something specific to happen for different
USB devices, don't you need the IDs for writing a highly
specific udev rule?
Comment 4 Bill Nottingham 2006-08-23 13:44:02 EDT
Yes, although that can be pulled from lshal or similar.

Assinging to comps.
Comment 5 Jesse Keating 2006-08-24 12:59:13 EDT
lusb added as a default for the Base group.

Note You need to log in before you can comment on or make changes to this bug.